Package org.apache.lucene.backward_codecs.lucene86

## Class Lucene86PointsReader

- java.lang.Object
- - org.apache.lucene.codecs.PointsReader
  - - org.apache.lucene.backward_codecs.lucene86.Lucene86PointsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class Lucene86PointsReader
      extends PointsReader

  Reads point values previously written with Lucene86PointsWriter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene86PointsReader​(SegmentReadState readState)` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` |
    `void` | `close()` |
    `PointValues` | `getValues​(String fieldName)` | Returns the underlying `PointValues`.

    - ### Methods inherited from class org.apache.lucene.codecs.PointsReader

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene86PointsReader

          public Lucene86PointsReader​(SegmentReadState readState)
                               throws IOException

      Sole constructor
      Throws:
        `IOException`

  - ### Method Detail

    - #### getValues

          public PointValues getValues​(String fieldName)

      Returns the underlying `PointValues`.
      Specified by:
        `getValues` in class `PointsReader`
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `PointsReader`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`